#
# spec file for package typescript-go
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

%global         provider_prefix github.com/microsoft/typescript-go
%global         import_path     %{provider_prefix}
Name:           typescript-go
Version:        0.0.512
Release:        1.1
Summary:        Port of TypeScript compiler to go
License:        Apache-2.0
Group:          Development/Tools/Building
URL:            https://github.com/microsoft/typescript-go
Source0:        typescript-go-%{version}.tar.zst
Source1:        vendor.tar.zst
BuildRequires:  golang(API) >= 1.24
BuildRequires:  golang-packaging
BuildRequires:  zstd

%description
typescript-go is an experimental port of the TypeScript compiler to Go.

%prep
%autosetup -a1

%build
%{goprep} %{import_path}
%{gobuild} -mod=vendor ./cmd/tsgo

%install
%{goinstall}

%check
%{gotest} ./...

%files
%license LICENSE
%doc README.md
%{_bindir}/tsgo

%changelog
* Wed Apr  2 2025 Avindra Goolcharan <avindra@opensuse.org>
- update to version 0.0.512:
  * @ 3ab630d865af74daac9c372af6ceacce10d167bd
- use default packaging macros for go
- add tests to %%check section
* Wed Mar 19 2025 Avindra Goolcharan <avindra@opensuse.org>
- update to version 0.0.471:
  * @ ffa058269dbc4a3749c1f0494a3eb0c8d6b96517
- fix rpm lints:
  * set `Group`
  * format `Summary`
* Wed Mar 19 2025 Avindra Goolcharan <avindra@opensuse.org>
- update to version 0.0.462:
  * @ f3cf27f6970fa98b26d9413dd160c4b864d570a2
- set version to 0.0.x while under development
- use zstd for main source tarball as well
* Sat Mar 15 2025 Avindra Goolcharan <avindra@opensuse.org>
- initial rev @ 8cf4a33989a0dc18f47adb7aa63d2db2099578e4
